/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.model;

import java.awt.Point;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 *
 * @author ahren
 */
public class Figur implements Serializable
{
  private ArrayList<Point> punkte;
  
  public Figur(){
        punkte = new ArrayList<>();
  }

  public void addPoint(Point p){
    punkte.add(p);
  }
  
  public List<Point> getPunkte()
  {
    return Collections.unmodifiableList(punkte);
  }
  
  public void clear(){
    punkte.clear();
  }
  
}
